Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044166
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsminorhave not tried2020-05-22 13:382020-06-04 16:58
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione638d6d69f7a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0044166: Apply new HQL Style in DistributionOrderBatchForPicking.java

DescriptionDistributionOrderBatchForPicking.java has HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Openbravo ERP Tracking issue: Convert HQL to apply new style 

-  Notes
(0120244)
inigo_lerga (developer)
2020-05-25 14:15

--Test Plan Mantis HQL--
Beforehand, the environment needs to have AWO modules
installed and working.
Execute the OBAWOPLTestSuite.java JUnit tests file
from advancedwarehouseoperations.batchwavepicking.
#In this moment the modified HQLs are executed#
(0120668)
hgbot (developer)
2020-06-04 16:57

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking
Changeset: e638d6d69f7ac5d2315053850566d9ca75107f16
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon May 25 14:11:37 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/rev/e638d6d69f7ac5d2315053850566d9ca75107f16 [^]

fixes BUG-44166:Applied new HQL Style

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/batchwavepicking/utils/DistributionOrderBatchForPicking.java
---
(0120669)
hgbot (developer)
2020-06-04 16:57

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking
Changeset: 4be7ecaf4c2dd9607b6c13a9a01dd39c0be67406
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jun 04 16:57:35 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/rev/4be7ecaf4c2dd9607b6c13a9a01dd39c0be67406 [^]

Related to ISSUE-44166. Format changes to improve redability

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/batchwavepicking/utils/DistributionOrderBatchForPicking.java
---
(0120670)
dmiguelez (developer)
2020-06-04 16:58

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-05-22 13:38 inigo_lerga New Issue
2020-05-22 13:38 inigo_lerga Assigned To => inigo_lerga
2020-05-22 13:39 inigo_lerga Relationship added related to 0041287
2020-05-22 13:39 inigo_lerga Status new => scheduled
2020-05-25 14:15 inigo_lerga Note Added: 0120244
2020-06-04 16:57 hgbot Checkin
2020-06-04 16:57 hgbot Note Added: 0120668
2020-06-04 16:57 hgbot Status scheduled => resolved
2020-06-04 16:57 hgbot Resolution open => fixed
2020-06-04 16:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.batchwavepicking/rev/e638d6d69f7ac5d2315053850566d9ca75107f16 [^]
2020-06-04 16:57 hgbot Checkin
2020-06-04 16:57 hgbot Note Added: 0120669
2020-06-04 16:58 dmiguelez Review Assigned To => dmiguelez
2020-06-04 16:58 dmiguelez Note Added: 0120670
2020-06-04 16:58 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker